Bug 1843280 - Discrepancies in permission related problems not/reporting
Summary: Discrepancies in permission related problems not/reporting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-03 00:20 UTC by Jan Pokorný [poki]
Modified: 2020-10-27 01:20 UTC (History)
10 users (show)

Fixed In Version: dnf-4.4.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-18 15:49:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pokorný [poki] 2020-06-03 00:20:31 UTC
All as ordinary user:

Case 1:

$ dnf repoquery
Last metadata expiration check: 0:41:50 ago on Wed 03 Jun 2020 01:31:35 AM CEST.
0ad-0:0.0.23b-17.fc33.x86_64
0ad-data-0:0.0.23b-4.fc32.noarch
0xFFFF-0:0.8-3.fc32.x86_64
2048-cli-0:0.9.1-9.fc32.x86_64
[...]
[Errno 13] Permission denied: '/tmp/dnf/cache/expired_repos.json'

$ echo $?
> 1

Why this?  Fact that some cache update wasn't possible is totally
minuscule.  Moreover, initial line is clear, so one is free to
use his/her deliberation to decide if data are still relevant.

Case 2:

$ dnf --releasever=32 --installroot=/var/lib/f32  install systemd passwd dnf

$ echo $?
1

Again, why this?  Error condition without any message whatsoever.

IMHO, you have the reporting or not swapped (in addition to the
fact that Case 1 shall likely not return execution failure).

dnf --version
4.2.21
  Installed: dnf-0:4.2.21-1.fc33.noarch at Wed 27 May 2020 10:41:12 PM GMT
  Built    : Fedora Project at Wed 01 Apr 2020 01:44:17 PM GMT

  Installed: rpm-0:4.15.90-0.git14971.12.fc33.x86_64 at Wed 27 May 2020 10:41:03 PM GMT
  Built    : Fedora Project at Tue 12 May 2020 10:06:27 AM GMT

Comment 1 amatej 2020-06-08 11:31:35 UTC
dnf.conf and /etc/yum.repos.d

Comment 2 amatej 2020-06-08 11:32:51 UTC
Sorry I added the comment by mistake I wanted to just set the flags.

Comment 3 Jan Pokorný [poki] 2020-06-09 22:04:29 UTC
Will post the former nonetheless:

[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=True
best=False
skip_if_unavailable=True
cachedir=/run/dnf/cache
install_weak_deps=False

Regarding yum.repos.d, it would only be relevant if
some caching parameters were tweakable with per-repo
granularity, I think.

Let me know if there are any inputs to provide.

To be explicit, the commands above where run as an
ordinary user.

Comment 6 Ben Cotton 2020-08-11 13:35:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 7 Fedora Update System 2020-10-08 11:59:21 UTC
FEDORA-2020-b40fc174b5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

Comment 8 Fedora Update System 2020-10-08 12:00:19 UTC
FEDORA-2020-5d9f0ce2b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d9f0ce2b3

Comment 9 Fedora Update System 2020-10-08 22:19:40 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b40fc174b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-12 21:15:51 UTC
FEDORA-2020-b40fc174b5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

Comment 11 Fedora Update System 2020-10-12 21:23:27 UTC
FEDORA-2020-5d9f0ce2b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d9f0ce2b3

Comment 12 Fedora Update System 2020-10-12 22:45:12 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b40fc174b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-13 20:18:08 UTC
FEDORA-2020-5d9f0ce2b3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5d9f0ce2b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d9f0ce2b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-10-18 15:49:12 UTC
FEDORA-2020-5d9f0ce2b3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-10-19 16:53:27 UTC
FEDORA-2020-b40fc174b5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

Comment 16 Fedora Update System 2020-10-20 14:22:45 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b40fc174b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-10-27 01:20:44 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.